# Interface PBMCustomShaderInitArgs

interface PBMCustomShaderInitArgs {
defines?: { [key: string]: any };
fragment?: Partial<
{
mainBefore: string;
mainEnd: string;
mainModelColor: string;
mainPanoColor: string;
mainStart: string;
},
>;
type: ("none" | "basic" | "phong" | "standard" | "pointcloud")[];
uniforms?: { [key: string]: IUniform };
vertex?: Partial<
{ mainBefore: string; mainEnd: string; mainStart: string },
>;
}

- Defined in lib/five/model/materials/pbmMaterial.ts:42

##### Index

### Properties

defines?
fragment?
type
uniforms?
vertex?

## Properties

### `Optional` defines

defines?: { [key: string]: any }

- Defined in lib/five/model/materials/pbmMaterial.ts:49

### `Optional` fragment

fragment?: Partial<
{
mainBefore: string;
mainEnd: string;
mainModelColor: string;
mainPanoColor: string;
mainStart: string;
},
>

- Defined in lib/five/model/materials/pbmMaterial.ts:45

### type

type: ("none" | "basic" | "phong" | "standard" | "pointcloud")[]

- Defined in lib/five/model/materials/pbmMaterial.ts:43

### `Optional` uniforms

uniforms?: { [key: string]: IUniform }

- Defined in lib/five/model/materials/pbmMaterial.ts:46

### `Optional` vertex

vertex?: Partial<{ mainBefore: string; mainEnd: string; mainStart: string }>

- Defined in lib/five/model/materials/pbmMaterial.ts:44